import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SinglePost } from '../models/post';
import {Board} from "../models/boards";
import * as globals from '../const/api';


@Injectable({
  providedIn: 'root'
})
export class ApiChatService {
  se: any;
  constructor(private http: HttpClient) {
  }

  getPosts(boardName: string, threadID: number): Observable<SinglePost[]> {
    //console.log("Получаю посты и картинки");
    return this.http.get<SinglePost[]>(globals.api_endpoint + 'List/', {params: {board: boardName, thread: threadID}});
  }

  sendPostToApi(text: string, imgUrl: string[], threadId: number,) {
    //console.log("Отправляю пост...");
    var postToSend =
      {
        Timestamp: "time",
        Id: 0,
        Text: text,
        ImgURL: imgUrl,
        Thread_Id: threadId
      }
    return this.http.post(globals.api_endpoint + 'PostTo', postToSend)
  }

  sendpic(picToSend: File): Observable<any> {
    const PostPicture = new FormData();
    PostPicture.append('PostPicture', picToSend);
    return this.http.post(globals.api_endpoint + 'UploadPic', PostPicture)
  }

  getThreads(boardName: string): Observable<SinglePost[]> {
    //console.log("Получаю посты и картинки");
    return this.http.get<SinglePost[]>(globals.api_endpoint + 'Threads/', {params: {board: boardName}});
  }

  
  createThread(OPtext: string, OPimgUrl: string[], board: string,){
    return alert("Скоро будет работать!");
  }

  sampleBoardList = [
{
  BoardName: 'b',
  BoardExplainedName: 'Всего понемногу',
  BoardID: 228,
  ThreadCount: 4,
  PostCount: 4445
},
{
      BoardName: 'vdk',
      BoardExplainedName: 'Здесь живут тигры',
      BoardID: 223,
      ThreadCount: 1,
      PostCount: 245
}
]

  getBoards(): Board[] {
    return this.sampleBoardList;
    //return this.http.get<Board[]>(globals.api_endpoint + 'Boards/');
  }
}

